> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Handle webhook requests from phones
Routes to the appropriate handler based on the request type



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/webhooks/live-phone
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/webhooks/live-phone:
    post:
      tags:
        - LivePhoneWebhook
      summary: |-
        Handle webhook requests from phones
        Routes to the appropriate handler based on the request type
      operationId: webhooks.live-phone
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - ping
                    - sms
              required:
                - type
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      status:
                        type: string
                        example: success
                      sms_id:
                        type: string
                    required:
                      - status
                      - sms_id
                  - type: object
                    properties:
                      status:
                        type: string
                        example: success
                      updated_count:
                        type: integer
                        example: 0
                      created_count:
                        type: integer
                        example: 0
                    required:
                      - status
                      - updated_count
                      - created_count
        '404':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: No pending SMS found
                required:
                  - status
                  - message
        '422':
          $ref: '#/components/responses/ValidationException'
        '500':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                required:
                  - status
                  - message
components:
  responses:
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````